summarylogtreecommitdiffstats
path: root/qtwasm_env.sh
diff options
context:
space:
mode:
authormickybart2021-09-13 22:33:52 -0400
committermickybart2021-09-13 22:33:52 -0400
commit7374ce5aaf4c14f6b82d73d9b3edeaf4bd034e1a (patch)
tree2eb305fe133c4c668d192ea0c625e2987f84f7db /qtwasm_env.sh
parent004a0103159192394f2205ee5d5db2ae70634435 (diff)
downloadaur-7374ce5aaf4c14f6b82d73d9b3edeaf4bd034e1a.tar.gz
gcc 11 + emsdk 2.0.29 + fix errno13
Diffstat (limited to 'qtwasm_env.sh')
-rw-r--r--qtwasm_env.sh16
1 files changed, 14 insertions, 2 deletions
diff --git a/qtwasm_env.sh b/qtwasm_env.sh
index 9521af45fb23..8b5a49e42ec4 100644
--- a/qtwasm_env.sh
+++ b/qtwasm_env.sh
@@ -1,3 +1,15 @@
-/opt/qt5-wasm/emsdk/emsdk activate EMSDKVER
+#/opt/qt5-wasm/emsdk/emsdk activate EMSDKVER
+
+# load emsdk environment
+# EM_CACHE issue: https://github.com/emscripten-core/emsdk/issues/535
+EM_CACHE_PATH=~/.cache/qt5-wasm
+export EM_CACHE=$EM_CACHE_PATH
source /opt/qt5-wasm/emsdk/emsdk_env.sh
-export PATH=/opt/qt5-wasm/bin:$PATH
+export EM_CACHE=$EM_CACHE_PATH
+echo "EM_CACHE (override) = $EM_CACHE"
+
+# Export Qt5 WebAssembly bin Path
+echo $PATH | grep -w "/opt/qt5-wasm/bin" > /dev/null
+if [ $? -ne 0 ]; then
+ export PATH=/opt/qt5-wasm/bin:$PATH
+fi